* {
  margin: 0;
  padding: 0;
}

.header--container {
  width: 1900px;
  margin: 0 auto;

  background-color: #313131;
}
header {
  display: flex;
  justify-content: space-between;
}

.logo {
  width: 190px;
  margin: 21px 0 21px 27px;
}
.logo img {
  width: 28px;
  height: 28px;
  padding-right: 25px;
  vertical-align: middle;
}

.top--menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  list-style-type: none;
}
.top--link--logo {
  text-decoration: none;
  color: white;
  font-family: sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 22px;
}
.top--link {
  text-decoration: none;
  color: white;
  font-family: sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  padding-right: 35px;
}
.top--link:hover {
  color: #14b9d5;
}
.search {
  width: 70px;
  height: auto;
  background-color: black;
  display: flex;
  justify-content: center;
  align-items: center;
}
.search img {
  width: 17px;
  height: 17px;
}

.main--container--latest {
  width: 1900px;
  margin: 0 auto;
  background-image: url(../images/header-background.png);
  background-repeat: no-repeat;
  background-size: cover;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 164px;
  padding-bottom: 91px;
}
.latest--news {
  display: flex;
  justify-content: flex-start;
  flex-direction: column;
  align-items: center;
}
.latest--text {
  color: white;
  font-family: sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 27px;
  text-transform: uppercase;
}
.link--box {
  padding-top: 60px;
  width: 360px;
}
.link--sub {
  text-decoration: none;
  background-color: #89ca62;
  border: 1px solid #89ca62;
  padding: 16px 19px;
  border-radius: 5px;
  border: none;
  font-family: sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  color: white;
}
.link--best {
  background-color: #14b9d5;
  text-decoration: none;
  border: 1px solid #14b9d5;
  padding: 16px 29px;
  border-radius: 5px;
  border: none;
  font-family: sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  color: white;
  margin-left: 20px;
}
.most--posts {
  display: flex;
  justify-content: center;
  color: #18b4cf;
  width: 1900px;
  font-family: sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 27px;
  padding-top: 50px;
  padding-bottom: 50px;
  background-color: #f2f2f2;
}
.most--img--container {
  width: 1900px;
  background-color: #f2f2f2;
}
.most--posts--container {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  flex-wrap: wrap;
  margin: 0 auto;
  width: 1170px;
  max-height: 900px;
  background-color: #f2f2f2;
}
.most--pop--img {
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-direction: column;
  flex-wrap: nowrap;
  background-color: white;
  margin-bottom: 30px;
}
.most--pop--img--last {
  margin-bottom: 70px;
}
.caption {
  color: #353a3d;
  font-family: sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 18px;
  padding: 20px;
}
.popular--clients--container {
  background-image: url(../images/bottom_background.jpeg);
  background-size: cover;
  background-repeat: no-repeat;
  width: 1900px;
  margin: 0 auto;
  padding-top: 100px;
  padding-bottom: 160px;
}
.popular-clients {
  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  margin: 0 auto;
  width: 920px;
  height: 340px;
}
.popular--items {
  margin: auto;
}
.popular--items:nth-child(1) {
  grid-column-start: 1;
  grid-column-end: 5;
  grid-row-start: 1;
  grid-row-end: 2;
}
.popular--items:nth-child(2) {
  grid-column-start: 1;
  grid-column-end: 5;
  grid-row-start: 2;
  grid-row-end: 3;
}
.popular--clients--text {
  color: white;
  text-transform: uppercase;
  font-style: normal;
  font-weight: bold;
  font-size: 32px;
  font-family: sans-serif;
}
.clients--line {
  width: 58px;
  height: 1px;
  border: 1px solid #18b4cf;
  background-color: #18b4cf;
}
.top--rated--hot--news--text {
  display: grid;
  justify-items: center;
  width: 1900px;
  color: #18b4cf;
  font-family: sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 27px;
  padding-top: 50px;
  padding-bottom: 50px;
}
.top-rated {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
}
.hot--news-container {
  width: 1900px;
}
.hot--news--caption--title {
  color: #353a3d;
  font-family: sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 18px;
  text-align: right;
  margin-top: 14px;
  margin-bottom: 15px;
  margin-right: 14px;
}
.hot--news--caption--title-top-bottom {
  color: #353a3d;
  font-family: sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 18px;
  text-align: right;
  margin-top: 14px;
  margin-bottom: 15px;
  margin-right: 24px;
}
.hot--news--caption--alone {
  color: #353a3d;
  font-family: sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 18px;
  text-align: center;
  margin-top: 14px;
  margin-bottom: 15px;
}
.hot--news--top--bottom {
  color: #5b6469;
  font-family: sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 21px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: end;
  margin-right: 24px;
  margin-left: 24px;
}
.hot--news--caption {
  color: #5b6469;
  font-family: sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 21px;
  text-align: end;
  margin-right: 14px;
  margin-left: 14px;
}
.hot-news {
  width: 1168px;
  height: 1500px;
  display: grid;
  margin: 0 auto;
  align-items: center;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr 1fr;
}

.hot--news--img {
  margin: 0 auto;
  background-color: #f9f7f7;

  margin-bottom: 45px;
  object-fit: contain;
}
.hot--news--img:nth-child(1) {
  grid-column-start: 1;
  grid-column-end: 4;
  grid-row-start: 1;
  grid-row-end: 2;
}
.hot--news--img:nth-child(2) {
  grid-column-start: 4;
  grid-column-end: 5;
  grid-row-start: 1;
  grid-row-end: 2;
}
.hot--news--img:nth-child(3) {
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 2;
  grid-row-end: 3;
}
.hot--news--img:nth-child(4) {
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 2;
  grid-row-end: 3;
}
.hot--news--img:nth-child(5) {
  grid-column-start: 1;
  grid-column-end: 3;
  grid-row-start: 3;
  grid-row-end: 4;
}
.hot--news--img:nth-child(6) {
  grid-column-start: 3;
  grid-column-end: 5;
  grid-row-start: 3;
  grid-row-end: 4;
}
.hot--news--img:nth-child(7) {
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 4;
  grid-row-end: 5;
}
.hot--news--img:nth-child(8) {
  grid-column-start: 2;
  grid-column-end: 5;
  grid-row-start: 4;
  grid-row-end: 5;
}
.hot--img--middle--gap {
  margin-right: 60px;
}
.hot-top-gap {
  margin-right: 24px;
}
.hot-bottom-gap {
  margin-left: 24px;
}
.footer--container {
  width: 1900px;
  background-color: black;
  margin-top: 75px;
  padding-top: 26px;
  padding-bottom: 25px;
}
.footer--text {
  color: white;
  font-family: sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 13px;
  line-height: 13px;
}
.foot--grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
}
.footer--logo {
  display: block;
  transform: translateY(25%);
}
.foot--grid--item {
  margin: auto;
  align-items: center;
}

.foot--grid--item:nth-child(1) {
  grid-column-start: 1;
  grid-column-end: 2;
}
.foot--grid--item:nth-child(2) {
  grid-column-start: 2;
  grid-column-end: 3;
}
